#!/usr/bin/env perl

use strict;
use warnings;
use utf8;

use Test::More tests => 3;
use Text::Dokuwiki::Parser;

my @lines = split /\n/, <<EOF;
  * level1 item1
  * level1 item2
    - level2 item1
    - level2 item2
    * level2 item3
  * level1 item3
  - level1 of 2nd list, item1
  - level1 of 2nd list, item2
EOF

my $dw = Text::Dokuwiki::Parser->new;
isa_ok($dw, 'Text::Dokuwiki::Parser');
my @lists = $dw->_parse_list([ @lines ]);

is (scalar @lists, 2);
is_deeply(\@lists, [
  [ul => {},
    [li => {}, 'level1 item1'],
    [li => {}, 'level1 item2'],
    [li => {},
      [ol => {},
        [li => {}, 'level2 item1'],
        [li => {}, 'level2 item2'],
      ],
    ],
    [li => {},
      [ul => {},
        [li => {}, 'level2 item3']
      ],
    ],
    [li => {}, 'level1 item3'],
  ],
  [ol => {},
    [li => {}, 'level1 of 2nd list, item1'],
    [li => {}, 'level1 of 2nd list, item2'],
  ]
]);
